import { flow } from 'lodash';
import { API as GitlabAPI } from 'netlify-cms-backend-gitlab';
import { unsentRequest, then } from 'netlify-cms-lib-util';

export default class API extends GitlabAPI {
  constructor(config) {
    super(config);
    this.tokenPromise = config.tokenPromise;
    this.commitAuthor = config.commitAuthor;
    this.repoURL = '';
  }

  authenticateRequest = async req =>
    unsentRequest.withHeaders(
      {
        Authorization: `Bearer ${await this.tokenPromise()}`,
      },
      req,
    );

  request = async req =>
    flow([this.buildRequest, this.authenticateRequest, then(unsentRequest.performRequest)])(req);

  hasWriteAccess = () => Promise.resolve(true);
}
